%define name    ifplugd
%define version 0.13
%define release 2
%define prefix  %{_prefix}

Summary:      Detect and perform actions when an ethernet cable is (un)plugged.
Name:         %{name}
Version:      %{version}
Release:      %{release}
Copyright:    GPL
Group:        Networking/Daemons
URL:          http://www.stud.uni-hamburg.de/users/lennart/projects/ifplugd/
Source:       %{name}-%{version}.tar.gz
Distribution: KRUD
Packager:     Sean Reifschneider <jafo-rpms@tummy.com>
BuildRoot:    /var/tmp/%{name}-root

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

ifplugd is a rather simplistic approach to this target since it relies
on your distribution's native interface configuration system.

%prep
%setup -n %{name}
%build
make PREFIX=%{prefix}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/chkconfig --add ifplugd

%preun
/sbin/chkconfig --del ifplugd

%files
%defattr(755,root,root)
%doc FAQ LICENSE NEWS README SUPPORTED_DRIVERS TODO
/usr/sbin/ifplugd
/usr/sbin/ifstatus
/usr/share/man/man?/ifplugd*
/usr/share/man/man?/ifstatus*
/etc/init.d/ifplugd
%config /etc/ifplugd/ifplugd.conf
%config /etc/ifplugd/ifplugd.action

%changelog

* Thu Jan  9 2003 Asgeir Nilsen <rpmspec@asgeirnilsen.com> 0.11-2
- Minor adjustments and init file patch
